Bug 130189 - kernel 2.6.7-1.494.2.2 oopses when accessing FAT partition
kernel 2.6.7-1.494.2.2 oopses when accessing FAT partition
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 16:11 EDT by Pavel Rosenboim
Modified: 2015-01-04 17:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 00:51:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Kernel messages (3.08 KB, text/plain)
2004-08-17 16:12 EDT, Pavel Rosenboim
no flags Details

  None (edit)
Description Pavel Rosenboim 2004-08-17 16:11:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
I have a FAT32 partition (from Win98Se) with few directories whose
name displayed as gibberish (they are probably in Russian). whenever I
try to access these directories, kernel oopses. Windows scandisk does
not report any errors. This only started to happen in latest kernel
2.6.7-1.494.2.2. I renamed these directories to sane names, so I
probably won't be able to reproduce the bug now.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1. See description.
2.
3.
    

Actual Results:  kernel oops

Expected Results:  access directory

Additional info:
Comment 1 Pavel Rosenboim 2004-08-17 16:12:59 EDT
Created attachment 102809 [details]
Kernel messages

kernel messages I got trying to ls the directory
Comment 2 Don Hardaway 2004-09-04 14:25:02 EDT
I am having the same problem.
Comment 3 Dave Jones 2004-11-27 17:35:09 EST
mass update for old bugs:

Is this still a problem in the 2.6.9 based kernel update ?
Comment 4 Pavel R 2004-11-28 02:38:23 EST
I changed name of the directory to more sane and never saw that problem since.

Note You need to log in before you can comment on or make changes to this bug.